Name:          bctoolbox
Version:       0.4.0
Release:       1mamba
Summary:       Utilities library used by Belledonne Communications softwares like belle-sip, mediastreamer2 and linphone
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://linphone.org
## GITSOURCE https://github.com/BelledonneCommunications/bctoolbox.git 0.4.0
Source:        https://github.com/BelledonneCommunications/bctoolbox.git/%{version}/bctoolbox-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbcunit-devel
BuildRequires: libgcc
BuildRequires: libpolarssl-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Utilities library used by Belledonne Communications softwares like belle-sip, mediastreamer2 and linphone.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Utilities library used by Belledonne Communications softwares like belle-sip, mediastreamer2 and linphone

%description -n lib%{name}
Utilities library used by Belledonne Communications softwares like belle-sip, mediastreamer2 and linphone.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
./autogen.sh
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libbctoolbox-tester.so.*
%{_libdir}/libbctoolbox.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/bctoolbox
%{_includedir}/bctoolbox/*
%{_libdir}/libbctoolbox-tester.la
%{_libdir}/libbctoolbox-tester.so
%{_libdir}/libbctoolbox.la
%{_libdir}/libbctoolbox.so
%{_libdir}/pkgconfig/bctoolbox-tester.pc
%{_libdir}/pkgconfig/bctoolbox.pc
%doc NEWS README


%changelog
* Sat Dec 17 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.4.0-1mamba
- package created using the webbuild interface
